cURL
curl --request GET \ --url https://api-prod.blaaiz.com/api/external/customer/{customer_id}/beneficiary/{beneficiary} \ --header 'Authorization: Bearer <token>'
{ "message": "Customers retrieved successfully.", "data": [ { "id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee", "business_id": "9d4c4ec5-572d-49de-a362-f01ed09f2b1b", "first_name": "Halie", "last_name": "Skiles", "business_name": null, "type": "individual", "email": "danyka66@example.org", "country": "NG", "id_type": "id_card", "id_number": "1DaRjlBTMZ", "verification_status": "PENDING" } ] }
Retrieve details of a specific beneficiary for a customer. Required scope: beneficiary:read.
beneficiary:read
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Customer ID
Beneficiary ID
Beneficiary retrieved successfully
Show child attributes
Was this page helpful?